Subject: Your comments on draft-ietf-manet-olsrv2-15.txt

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 23 Aug 2012 10:40:49 +0100

Hi Abdussalam,

Thank you for your review comments on draft-ietf-manet-olsrv2-15.txt

I see seven separate points raised in separate emails. Can you confirm that this
is the totality of your comments.

I also note that the seventh email was sent to only the IESG. May I have your
permission to share this email with the document authors.

Thanks,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Abdussalam Baryun
> Sent: 22 August 2012 23:01
> To: [email-masked]
> Subject: Re: Last Call: <draft-ietf-manet-olsrv2-15.txt> (The Optimized Link
State
> Routing Protocol version 2) to Proposed Standard
> 
> Reply to your request dated 29/07/2012
> Draft Reviewed By: Abdussalam Baryun (AB)   Dated: 22/08/2012
> 
> Reviewer Comment AB7: Comments on text in document history [*].
> https://datatracker.ietf.org/doc/draft-ietf-manet-olsrv2/history/
> ++++++++++++++++++++++++++++++++++++
> 
> A key difference between RFC3626 and OLSRv2 is the introduction of
> support for link metrics. An individual draft
> (draft-dearlove-olsrv2-metrics-00) was submitted in 2007, discussing
> the design options, culminating in 2010 with
> draft-dearlove-olsrv2-metrics-05 documenting Working Group consensus
> on this matter. Metrics support was, then, folded into OLSRv2.
> 
> AB> the reviewer thinks the difference is that OLSRv2 is a metric base
> router that uses NHDP and RFC5444 packets which are general MANET
> interface protocol and general MANET packet format respectively.
> OLSRv2 is applicable for more scenarios and routers that are
> constraint devices.
> 
> This version of OLSRv2 was given a one month WGLC, so as to ensure
> sufficient time to review the document.
> 
> AB> my comments within the period was not considered by the authors
> and don't see any consensus from the WG.
> 
> There was an issue concerning the differences between the -14 and -15
> revisions of the document, brought up by one WG member. The consensus
> opinion from the WG is that the document should proceed, without
> additional edits.
> 
> AB> yes there was a new version update after my comments and
> discussion with the authors, but still not happy with the outcome.
> 
> Best Regards
> AB
> +++++++++++++++++
> The end of my comments (the comments were 7 including this, two only
> for the IESG and one addition for only IEFT).
> ========================================================
> 
> On 7/29/12, The IESG <[email-masked]> wrote:
> >
> > The IESG has received a request from the Mobile Ad-hoc Networks WG
> > (manet) to consider the following document:
> > - 'The Optimized Link State Routing Protocol version 2'
> >   <draft-ietf-manet-olsrv2-15.txt> as Proposed Standard
> >
> > The IESG plans to make a decision in the next few weeks, and solicits
> > final comments on this action. Please send substantive comments to the
> > [email-masked] mailing lists by 2012-08-22. Exceptionally, comments may be
> > sent to [email-masked] instead. In either case, please retain the
> > beginning of the Subject line to allow automated sorting. This last call
> > period has been extended to handle the fact that it spans the IETF-84
> > meeting.
> >
> > This last call is being re-initiated to include a notice that this document
> > includes a normative down reference to an Informational RFC:
> > RFC5148, "Jitter considerations in MANETs".
> >
> > Abstract
> >
> >    This specification describes version 2 of the Optimized Link State
> >    Routing (OLSRv2) protocol for Mobile Ad hoc NETworks (MANETs).
> >
> > The file can be obtained via
> > http://datatracker.ietf.org/doc/draft-ietf-manet-olsrv2/
> >
> > IESG discussion can be tracked via
> > http://datatracker.ietf.org/doc/draft-ietf-manet-olsrv2/ballot/
> >
> >
> > No IPR declarations have been submitted directly on this I-D.
> >

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 24 Aug 2012 12:07:27 +0100

Hi Adrian,

Yes my comments requested by last call to be submitted to IESG for the
subject (evaluation purpose) have been ended. However, if I get any
request/receive/read any new issue in IETF, I may comment again to IETF
discuss list. For the OLSRv2 in general comments will never end as long as
there are users and as long the internet mission is development/progress,
but to IESG I have ended the comments (one additional to ietf) which I
mentioned the *end* in my last comment to IESG. They were separate to focus
each comment on separate related view.

I don't know how is the practice of IESG process or Last Call process, but
I have tried many times with the authors before, to make the document
better but they think my comments are not important (which maybe they are
right). Therefore, I don't want to give any permission to share with them,
I will leave it to IESG. If IESG agrees to share any/all comments they
received to any/all author(s), I will have no objection.

Thanking you,

Best Regards

Abdussalam Baryun (AB)
University of Glamorgan, UK
++++++++++++++++++++++